Skip to main content
POST
/
user
/
addresses
/
lookup
/
retrieve
Retrieve address details
curl --request POST \
  --url https://api.managem.co.uk/user/addresses/lookup/retrieve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "GB|RM|A|10321882|ENG"
}
'
{
  "id": "GB|RM|A|10321882|ENG",
  "department": "",
  "company": "",
  "subBuilding": "",
  "buildingNumber": "34",
  "buildingName": "",
  "secondaryStreet": "",
  "street": "Selborne Close",
  "block": "",
  "neighbourhood": "",
  "district": "",
  "city": "Petersfield",
  "line1": "34 Selborne Close",
  "line2": "",
  "line3": "",
  "line4": "",
  "line5": "",
  "adminArea": "Hampshire",
  "adminAreaCode": "",
  "state": "Hampshire",
  "stateCode": "",
  "postalCode": "GU32 2JB",
  "country": "United Kingdom",
  "countryIso2": "GB",
  "countryIso3": "GBR",
  "countryIsoNumber": "826",
  "sortingNumber1": "82163",
  "sortingNumber2": "",
  "barcode": "(GU322JB2GJ)",
  "poBoxNumber": "",
  "label": "34 Selborne Close\nPETERSFIELD\nGU32 2JB\nUNITED KINGDOM",
  "type": "Residential"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
id
string
required

The ID of a specific address to retrieve

Example:

"GB|RM|A|10321882|ENG"

Response

200 - application/json

Retrieve a specific address

id
string

Unique identifier for the address

department
string

Department or internal division

company
string

Company name associated with the address

subBuilding
string

Sub-building identifier (e.g., Apartment or Suite number)

buildingNumber
string

Building number in the street

buildingName
string

Name of the building

secondaryStreet
string

Secondary street address, if any

street
string

Primary street name

block
string

Block name or number

neighbourhood
string

Neighbourhood or locality

district
string

District or borough

city
string

City or town

line1
string

First line of the formatted address

line2
string

Second line of the formatted address

line3
string

Third line of the formatted address

line4
string

Fourth line of the formatted address

line5
string

Fifth line of the formatted address

adminArea
string

Administrative area name (e.g., county or region)

adminAreaCode
string

Administrative area code

state
string

State or province name

stateCode
string

State or province code

postalCode
string

Postal or ZIP code

country
string

Full country name

countryIso2
string

ISO 3166-1 alpha-2 country code

countryIso3
string

ISO 3166-1 alpha-3 country code

countryIsoNumber
string | null

ISO 3166-1 numeric country code

sortingNumber1
string

Primary sorting number (used in mail sorting)

sortingNumber2
string

Secondary sorting number (used in mail sorting)

barcode
string

Postal barcode for mail sorting

poBoxNumber
string

Post Office Box number

label
string

Formatted label for display

type
string

Type of address (e.g., Residential, Business, etc.)